name: Run unit tests
on: [pull_request]
env:
  REGISTRY: gitea.brudi.xyz
  IMAGE_NAME: ${{ gitea.repository }}
  USER: ${{ gitea.actor }}
jobs:
  test:
    runs-on: ubuntu-latest
    container: catthehacker/ubuntu:act-latest
    permissions:
      contents: read
    steps:
      - name: Checkout repository
        uses: actions/checkout@v3
      - name: Run Tests
        run: docker build --target test .

